package com.ssj.bean.sys.homework.domain;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * @Author: chchen
 * @Description
 * @Date Create in 15:31 2019/10/9
 * @Modified By
 */
@Entity
@Table(name = "scon_homework_picture_errorcheck")
public class HomeworkPictureErrorCheck extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 作业图片id
     */
    private String homeworkPictureId;

    /**
     * 质检类型，8批改，13质检
     */
    private int type;

    /**
     * 批改匹配开始时间
     */
    private Date startTime;

    /**
     * 批改匹配结束时间
     */
    private Date endTime;

    /**
     * 质检的图片路径
     */
    private String checkPictureUrl;

    /**
     * 质检报错时间
     */
    private Date createTime;

    /**
     * 报错原因
     */
    private String errorReason;

    /**
     * 质检人
     */
    private String checker;

    private  String  errorHowDetails;

    /**
     * 被质检人
     */
    private String checkedUserId;

    public String getErrorHowDetails() {
        return errorHowDetails;
    }

    public void setErrorHowDetails(String errorHowDetails) {
        this.errorHowDetails = errorHowDetails;
    }
    @Column( updatable = false)
    public String getHomeworkPictureId() {
        return homeworkPictureId;
    }

    public void setHomeworkPictureId(String homeworkPictureId) {
        this.homeworkPictureId = homeworkPictureId;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public String getCheckPictureUrl() {
        return checkPictureUrl;
    }

    public void setCheckPictureUrl(String checkPictureUrl) {
        this.checkPictureUrl = checkPictureUrl;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getErrorReason() {
        return errorReason;
    }

    public void setErrorReason(String errorReason) {
        this.errorReason = errorReason;
    }

    public String getChecker() {
        return checker;
    }

    public void setChecker(String checker) {
        this.checker = checker;
    }

    public String getCheckedUserId() {
        return checkedUserId;
    }

    public void setCheckedUserId(String checkedUserId) {
        this.checkedUserId = checkedUserId;
    }
}
